package com.skr.mdm.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @ProjectName: mdm_new
 * @Package: com.skr.mdm.enums
 * @ClassName: sendAppCmdConfig
 * @Author: Tty
 * @Description: 指令枚举类
 * @Date: 2020/7/27 9:53
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum SendCmdConfigEnum {

	DELETE_USER_EQUIPMENT("deleteUser", "删除设备"),
	UPLOAD_EQUIPMENT("uploadEquipment", "更新设备信息"),
	UPDATE_USER_INFO("updateSysUser", "修改用户"),
	DESTRUCTION_DB("destructionDB", "清除管控所有数据"),
	SET_LOCATION_TIME("setLocationTimeInterval", "设置回传"),
	SILENT_INSTALL_ACTION("silent_installation", "静默安装"),
	CHOOSE_INSTALL_ACTION("choose_installation", "按需安装"),
	SILENT_UNINSTALL("silent_uninstall", "应用删除"),
	APP_STRATEGY_ISSUED("NewAppStrategy", "下发应用策略"),
	APP_STRATEGY_UPDATE("UpdateAppStrategy", "修改应用策略"),
	APP_STRATEGY_DELETE("DeleteAppStrategy", "删除应用策略"),
	APP_UNINSTALL_ACTION("UninstallApp", "下发应用卸载"),
	CONTENT_SILENT_INSTALLATION("content_silent_installation", "文档推送"),
	CONTENT_SILENT_UNINSTALL("content_silent_uninstall", "文档删除"),
	CLIENT_UPGRADE_INSTALL("client_upgrade_install", "客户端升级_下发"),
	CLIENT_UPGRADE_UNINSTALL("client_upgrade_uninstall", "客户端升级_删除"),
	CONTENT_WATER_MARK_INSTALL("NewWaterMark", "水印_下发"),
	CONTENT_WATER_MARK_UNINSTALL("DeleteWaterMark", "水印_删除"),
	SYS_CERTIFICATE_INSTALL("sysChangeCertificate", "服务器变更指令");

	private String cmd;
	private String cmdType;
}
